//输换

var path = require('path');
var fs = require('fs');
var Page = require('./page');

var GetAllPath = require('./path');

var debug = require('debug')('wevue');

module.exports = function(wxFolder, vueFolder, app, rootFolder, wevueFolder, program, cb) {

  var count = 0;
  debug('pages wevueFolder...', wevueFolder);

  var papgesFolder = path.join(vueFolder, 'src', 'pages');

  if (!fs.existsSync(papgesFolder)) {
    fs.mkdirSync(papgesFolder);
  }
  if (app.pages && app.pages.length == 0) {
    cb(null);
  }

  var pages = GetAllPath(app);
  debug('pages ', pages);
  for (var i = 0; i < pages.length; i++) {
    var page = pages[i];
    Page(wxFolder, vueFolder, page, rootFolder, wevueFolder, program, function(err, res) {
      count++;
      if (count === pages.length) {
        debug(page, count, pages.length);
        typeof(cb) === 'function' && cb(err, res);
      }
    });
  }
}
