function getPath(node, pages) {

  if (typeof(node) == 'string' && node.trim().length > 0) {
    pages.push(node.trim())
  } else if (typeof(node) == 'object') {
    getPath(node.path, pages)

    if (node.children && typeof(node.children) == 'object') {

      for (var i = 0; i < node.children.length; i++) {
        getPath(node.children[i], pages)
      }
      
    }
  }
}

module.exports = function(app) {
  var pages = [];
  for (var i = 0; i < app.pages.length; i++) {
    var page = app.pages[i];
    getPath(page, pages)
  }

  return pages
}
